mbed TLS v2.23.0

Data Fields
mbedtls_x509_crl Struct Reference
X.509 module

`#include <x509_crl.h>`

Collaboration diagram for mbedtls_x509_crl:
[legend]

## Data Fields
mbedtls_x509_buf | raw
mbedtls_x509_buf | tbs
int | version
mbedtls_x509_buf | sig_oid
mbedtls_x509_buf | issuer_raw
mbedtls_x509_name | issuer
mbedtls_x509_time | this_update
mbedtls_x509_time | next_update
mbedtls_x509_crl_entry | entry
mbedtls_x509_buf | crl_ext
mbedtls_x509_buf | sig_oid2
mbedtls_x509_buf | sig
mbedtls_md_type_t | sig_md
mbedtls_pk_type_t | sig_pk
void * | sig_opts
struct mbedtls_x509_crl * | next

## Detailed Description

Certificate revocation list structure. Every CRL may have multiple entries.

Definition at line 70 of file x509_crl.h.

The documentation for this struct was generated from the following file:

- x509_crl.h